---
title: Дополнительная обработка
slug: общие-дополнительные-отчеты-и-обработки-настройки/дополнительная-обработка
---
# Модуль объекта обработки
```bsl

#Область ПрограммныйИнтерфейс

Функция СведенияОВнешнейОбработке() Экспорт
    
    ПараметрыРегистрации = ДополнительныеОтчетыИОбработки.СведенияОВнешнейОбработке(СтандартныеПодсистемыСервер.ВерсияБиблиотеки());
    Представление = НСтр("ru='Представление обработки'", "ru");
	Идентификатор = "ИдентификаторОбработки";
    
    ПараметрыРегистрации.Вид = ДополнительныеОтчетыИОбработкиКлиентСервер.ВидОбработкиДополнительнаяОбработка();
    ПараметрыРегистрации.Назначение = МассивНазначений();
    ПараметрыРегистрации.Версия = "1.0";
    ПараметрыРегистрации.БезопасныйРежим = Ложь;
    ПараметрыРегистрации.Информация = ИсторияИзмененийОбработки();
    
    Команда = ПараметрыРегистрации.Команды.Добавить();
    Команда.Представление = Представление;
    Команда.Идентификатор = Идентификатор;
    Команда.Использование = ДополнительныеОтчетыИОбработкиКлиентСервер.ТипКомандыОткрытиеФормы();
    Команда.ПоказыватьОповещение = Истина;
    
    // При необходимости
    Разрешение = РаботаВБезопасномРежиме.РазрешениеНаСозданиеCOMКласса("Excel.Application", "00024500-0000-0000-C000-000000000046");
    ПараметрыРегистрации.Разрешения.Добавить(Разрешение);
	
    Разрешение = РаботаВБезопасномРежиме.РазрешениеНаСозданиеCOMКласса("ADODB.Connection", "00000514-0000-0010-8000-00AA006D2EA4");
    ПараметрыРегистрации.Разрешения.Добавить(Разрешение);

    Возврат ПараметрыРегистрации;
    
КонецФункции

#КонецОбласти

#Область СлужебныеПроцедурыИФункции

Функция ИсторияИзмененийОбработки() 
	
	СписокИзменений = Новый Массив;
	СписокИзменений.Добавить("История изменений:");
	СписокИзменений.Добавить("2025-04-16, Создание обработки, версия 1.0");
	СписокИзменений.Добавить("Общая информация: Описание обработки");
	
	Возврат СтрСоединить(СписокИзменений, Символы.ПС);
	
КонецФункции

Функция МассивНазначений()
	
	МассивНазначений = Новый Массив;
	
	//МассивНазначений.Добавить("Документ.ПередачаДавальцу");
	
	Возврат МассивНазначений;
	
КонецФункции

#КонецОбласти
```