---
title: Связанные файлы по владельцу
slug: общие-работа-с-файлами/связанные-файлы-по-владельцу
---

Получение связанных файлов по владельцу, если файлы владельца хранятся в справочнике "Файлы"
# Описание
```bsl
// Возвращает массив структур, описывающих файлы владельца.
//
// Параметры:
//   Владелец - ЛюбаяСсылка - объект-владелец связанных файлов
//   ДокументID - не заполняется. Используется для унификации ДО и БСП.
//   ДокументТип - не заполняется.  Используется для унификации ДО и БСП.
//   ВключатьПомеченныеНаУдаление - Булево - Истина, если требуется получить и помеченные на удаление.
//
// Возвращаемое значение:
//   Массив - структуры, описывающие реквизиты связанных файлов
//
Функция СвязанныеФайлыПоВладельцу(Владелец, ДокументID = "", ДокументТип = "", ВключатьПомеченныеНаУдаление = Ложь) Экспорт
```

# Пример вызова
```bsl
СписокФайлов = СвязанныеФайлыВызовСервера.СвязанныеФайлыПоВладельцу(Ссылка);
```