---
title: ФИО физического лица
slug: общие-физические-лица/фио-физического-лица
---

Фамилия, инициалы по физ.лицу или полному ФИО

```bsl
// Формирует строку, содержащую фамилию и инициалы физического лица.
// Строка формируется в зависимости от типа переданного параметра:
//	- либо по истории ФИО элемента справочника ФизическиеЛица,
// 	- либо разбором строки, содержащей полную ФИО.
//
// Параметры:
//  ФизическоеЛицо - Строка, СправочникСсылка.ФизическиеЛица - источник информации о ФИО
//  Дата - Дата - дата для получения истории ФИО, имеет смысл если в первом параметре передана ссылка.
//
// Возвращаемое значение:
//  Строка - Фамилия И. О. 
//
Функция ФамилияИнициалыФизЛица(ФизическоеЛицо, Дата = Неопределено) Экспорт
```

```bsl
Результат = ФизическиеЛицаУТ.ФамилияИнициалыФизЛица(ФизическоеЛицо, Дата);
```