---
title: Особенности работы с обработчиком ПриАктивизацииСтроки
slug: общие-управляемые-формы/особенности-работы-с-обработчиком-приактивизациистроки
---

* В этом обработчике нельзя использовать серверные вызовы с директивой компиляции `&НаСервере`

* Так как при создании формы этот обработчик вызывается для каждой создаваемой строки, то лучше применять `ПодключитьОбработчикОжидания`:

```bsl
&НаКлиенте
Процедура ДефектыДвигателяПриАктивизацииСтроки(Элемент)
    ПодключитьОбработчикОжидания("ВыполнитьПриАктивизацииСтрокиДефектыДвигателя", 0.15, Истина);
КонецПроцедуры

&НаКлиенте
Процедура ВыполнитьПриАктивизацииСтрокиДефектыДвигателя()

     ВывестиВиновниковВТаблицуДляТекущейСтроки();
     ВывестиМероприятияВТаблицуДляТекущейСтроки();
     ВывестиПричиныВТаблицуДляТекущейСтроки();

     УстановитьДоступностьЭлементовБлокаПричиныДляТекущейСтроки();
     УстановитьДоступностьЭлементовБлокаВиновникиДляТекущейСтроки();
     УстановитьДоступностьЭлементовБлокаМероприятияДляТекущейСтроки();
     УстановитьЗаголовокСтраницыПричиныДефектаДляТекущейСтроки();
     // и т.д.

КонецПроцедуры
```