---
title: Создание команд и кнопок
slug: общие-управляемые-формы-программное-создание-элементов-формы/создание-команд-и-кнопок
---

Для работы кнопок, необходимо наличие команды. Если на форме нет определенной команды, то её необходимо создать программно.
### Создаем команду
```bsl
НоваяКоманда = Команды.Добавить("ОбщаяКоманда");
НоваяКоманда.Заголовок = "Общая команда";
НоваяКоманда.Действие = "ОбщееДействие"; //указываем только имя процедуры
```
### Создаем кнопку
```bsl
НовыйЭлемент = ЭтаФорма.Элементы.Добавить("Кнопка1", Тип("КнопкаФормы"),СтраницаТовары);
НовыйЭлемент.Заголовок = "Привет мир!";
НовыйЭлемент.ИмяКоманды = "ОбщаяКоманда";
```
