---
title: Создание таблиц формы
slug: общие-управляемые-формы-программное-создание-элементов-формы/создание-таблиц-формы
---
Для работы таблицы формы необходимо наличие реквизита **`Таблица значений`** или **`Динамический список`**. Не забывайти про путь, если таблица находиться в объекте, тогда указываем полный путь, пример: **`Объект.Товары`** и так же для колонок **`Объект.Товары.Номенклатура`**.

### Создаем таблицу
```bsl
ТаблицаФормы = Элементы.Добавить("МояТаблицаТоваров", Тип("ТаблицаФормы"),ЭтотОбъект);
ТаблицаФормы.ПутьКДанным = "Объект.Товары";
```

### Создаем колонки
```bsl
//Создаем колонку для выбора и ввода
НовыйЭлемент  = Форма.Элементы.Добавить("МояТаблицаТоваровНоменклатура",Тип("ПолеФормы"),ТаблицаФормы);
НовыйЭлемент.Вид = ВидПоляФормы.ПолеВвода;      
НовыйЭлемент.ПутьКДанным = "Объект.Товары.Номенклатура";

//Создаем колонку для булево
НовыйЭлемент  = Форма.Элементы.Добавить("МояТаблицаТоваровПроведен",Тип("ПолеФормы"),ТаблицаФормы);
НовыйЭлемент.Вид = ВидПоляФормы.ПолеФлажка;      
НовыйЭлемент.ПутьКДанным = "Объект.Товары.Используется";
```