---
title: git-branch
slug: прочее-работа-с-git-основные-команды/git-branch
---

Git позволяет работать с несколькими версиями проекта одновременно с помощью веток (branches).

### Создание новой ветки:

```bash
git branch feature-x
```

### Переход на ветку:

```bash
git checkout feature-x
```

### Создание и переход одновременно:

```bash
git checkout -b feature-x
```

### Просмотр всех веток:

```bash
git branch
```

Текущая ветка будет отмечена звёздочкой `*`.
